import React, { forwardRef, useImperativeHandle, useRef } from 'react';

// 自定义子内容
var ChildrenWrapper = /*#__PURE__*/forwardRef(function (_ref, ref) {
  var id = _ref.id,
    style = _ref.style,
    className = _ref.className,
    onClick = _ref.onClick,
    children = _ref.children;
  var rootRef = useRef(null);

  // Expose, As Input.Text expose
  useImperativeHandle(ref, function () {
    return {
      rootDOM: rootRef.current,
      getRootDOM: function getRootDOM() {
        return rootRef.current;
      }
    };
  });
  return /*#__PURE__*/React.createElement("div", {
    id: id,
    style: style,
    className: className,
    onClick: onClick,
    ref: rootRef
  }, children);
});
export default ChildrenWrapper;